Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container
Class AbstractServerRun

    java.lang.Object
      java.lang.Thread
          org.apache.cactus.integration.ant.container.AbstractServerRun

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  EnhydraRun, ResinRun

public abstract class AbstractServerRun
extends java.lang.Thread

Abstract class for starting/stopping an application server. When this application is first called to start the server, a listener socket is set up. Then, we it is later called to stop the server, we connect to the listener socket and tell the server to stop.

Version:
  $Id: AbstractServerRun.java 238918 2004-04-18 12:21:50Z vmassol $

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`AbstractServerRun(java.lang.String[] theArgs)`

Method Summary
`void` | `run()` Sets up a listener socket and wait until we receive a request on it to stop the running server.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractServerRun

    public AbstractServerRun(java.lang.String[] theArgs)

Parameters:
  `theArgs` - the command line arguments

Method Detail

### run

    public void run()

  Sets up a listener socket and wait until we receive a request on it to stop the running server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.